bin/deps-and-gyp: deal with corner cases cleanly

TBR=mtklein@google.com
NOTRY=true

Review URL: https://codereview.chromium.org/1415193006
diff --git a/bin/deps-and-gyp b/bin/deps-and-gyp
old mode 100644
new mode 100755
index f39fc69..06f0fd5
--- a/bin/deps-and-gyp
+++ b/bin/deps-and-gyp
@@ -34,10 +34,7 @@
     exit 1
 fi
 
-if [ "$(git hash-object DEPS)" != "$(git config sync-deps.last)" ] ; then
-    GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit
-    git config sync-deps.last "$(git hash-object DEPS)"
-fi
+GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit
 
 catifexists() { if [ -f "$1" ]; then cat "$1"; fi; }